@echo off

rem ensure environment is ready
C:
cd "C:\Documents and Settings\%USERNAME%\VirtualBox VMs"

rem get recent initial VM and create disk image
echo "download initial OpenSecurity VM"
rem wget http://service.x-net.at/opensecurity/OsecVM_initialized.ova
VBoxManage.exe import OsecVM_initialized.ova --vsys 0 --vmname SecurityDVM --unit 12 --disk SecurityDVM.vmdk

# launch the SecurityVM the first time to let the user do initial updates
VBoxManage.exe startvm SecurityDVM

echo "# Start VirtualBox and update the machine	"
echo "#                                         "
echo "# login with                              "
echo "#   user: root                            "
echo "#   pass: osecvm                          "
echo "#                                         "
echo "# issue these commands as root            "
echo "#                                         "
echo "#       # apt-get update                  "
echo "#       # apt-get upgrade                 "
echo "#       # apt-get dist-upgrade            "
echo "#                                         "
echo "# then shutdown the machine with          "
echo "#                                         "
echo "#       # shutdown -h now                 "
echo "#                                         "
echo "# press a key when done to proceed        "
pause

rem Turn the VM disk image immutable and attach it
VBoxManage.exe storageattach SecurityDVM --storagectl SATA --port 0 --medium none
VBoxManage.exe modifyhd SecurityDVM.vmdk settype immutable
VBoxManage.exe storageattach SecurityDVM --storagectl SATA --port 0 --device 0 --type hdd --mtype normal --medium SecurityDVM.vmdk
